%define mod_conf 73_squirrelmail.conf

%define basedir %{_var}/www/html/squirrelmail
%define varlibdir /var/lib/squirrelmail
%define prefsdir %{varlibdir}/prefs
%define varspooldir /var/spool/squirrelmail
%define attdir %{varspooldir}/attach
%define etcdir /etc/squirrelmail
%define crondir /etc/cron.daily
# Plugin config files
%define pluginetc %{etcdir}/plugins/

%define locale_stamp 20050713

Summary:	Squirrelmail is a webmail client for PHP4
Name:		squirrelmail
Version:	1.4.5
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.squirrelmail.org/
Source0:	http://prdownloads.sf.net/squirrelmail/%{name}-%{version}.tar.bz2
Source1:	all_locales-%{version}-%{locale_stamp}.tar.bz2
Source2:	squirrelmail-RPM.readme
Source3:	http://www.squirrelmail.org/plugins/address_add.2.0-1.2.8.tar.bz2
Source4:	http://www.squirrelmail.org/plugins/block_sender.2.02-1.4.0.tar.bz2
Source5:	http://www.squirrelmail.org/plugins/login_image-0.2.tar.bz2
Source6:	http://www.squirrelmail.org/plugins/secure_login-1.2-1.2.8.tar.bz2
Source7:	http://www.squirrelmail.org/plugins/compatibility-1.3.tar.bz2
Source8:	http://www.squirrelmail.org/plugins/change_pass-2.7-1.4.x.tar.bz2
Source9:	http://www.squirrelmail.org/plugins/quota_usage-1.3-1.2.7.tar.bz2
Source10:	http://www.squirrelmail.org/plugins/change_ldappass-1.7.tar.bz2
Source11:	http://www.squirrelmail.org/plugins/avelsieve-1.0.1.tar.bz2
Source12:	http://www.squirrelmail.org/plugins/windows-1.6-1.4.tar.bz2
Source13:	http://www.squirrelmail.org/plugins/folder_sizes.1.4-1.4.tar.bz2
Source14:	http://www.squirrelmail.org/plugins/archive_mail.1.2-1.4.2.tar.bz2
Source15:	http://www.squirrelmail.org/plugins/empty_folders-1.1-1.2.tar.bz2
Source16:	http://www.squirrelmail.org/plugins/abook_import_export-0.9-1.4.0.tar.bz2
Source17:	http://www.squirrelmail.org/plugins/ldifimport-1.4-1.2.x.tar.bz2
Source18:	http://www.squirrelmail.org/plugins/username-2.3-1.0.0.tar.bz2
Source19:	http://www.squirrelmail.org/plugins/bookmarks-2.0.3-1.4.1.tar.bz2
Source20:	http://www.squirrelmail.org/plugins/select_range-3.5.tar.bz2
Source21:	http://www.squirrelmail.org/plugins/rewrap.1.2-1.4.0.tar.bz2
Source22:	http://www.squirrelmail.org/spam_buttons-1.0-1.4.tar.bz2
Source23:	http://prdownloads.sourceforge.net/php-sa-mysql/SquirrelSAP105.tar.bz2
Patch0:		squirrelmail-1.4.6-20050907.diff.bz2
Patch1:		squirrelmail-1.4.2-config.php.patch.bz2
Patch5:		login_image-position.patch.bz2
Patch6:		secure_login-stayinssl.patch.bz2
Patch7:		squirrelmail-1.4.1-default_folder_prefix.patch.bz2
Patch8:		squirrelmail-1.4.4-select_range-2.8.patch.bz2
Patch10:	squirrelmail-1.4.3a-ldappass.patch.bz2
Patch11:	squirrelmail-1.4.3a-avelsieve-0.9.11.patch.bz2
Patch12:	squirrelmail-1.4.2-sqspell.patch.bz2
Patch13:	squirrelmail-1.4.2-filters.patch.bz2
Patch14:	squirrelmail-1.4.2-aspell.patch.bz2
Patch17:	squirrelmail-1.4.4-log_failed_login_attempts.diff.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache-conf >= 2.0.54
Requires(pre):  apache-mpm-prefork >= 2.0.54
Requires:	apache-conf >= 2.0.54
Requires:	apache-mpm-prefork >= 2.0.54
Requires:	apache-mod_php
Requires:	sendmail-command
Requires:	aspell
Requires:	bash
Requires:	perl
Requires:	php-imap
Requires:	php-ldap
Requires:	poppassd-ceti
Requires:	tmpwatch >= 2.8
BuildRequires:	dos2unix
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
SquirrelMail is a standards-based webmail package written in PHP4. It
includes built-in pure PHP support for the IMAP and SMTP protocols, and
all pages render in pure HTML 4.0 (with no Javascript) for maximum
compatibility across browsers.  It has very few requirements and is very
easy to configure and install. SquirrelMail has all the functionality
you would want from an email client, including strong MIME support,
address books, and folder manipulation.

%package	poutils
Summary:	Some development tools for SquirrelMail
Group:		System/Servers
Requires:	%{name} = %{version}

%description	poutils
This package includes some development tools for squirrelmail
i18n, including the main po file and some compilation scripts.

%package	cyrus
Summary:	Cyrus meta package for SquirrelMail
Group:		System/Servers
Requires:	%{name} = %{version}
Requires:	libsasl2-plug-login
Requires:	libsasl2-plug-plain
Requires:	cyrus-imapd
Requires:	cyrus-imapd-utils
Requires:	cyrus-sasl

%description	cyrus
Cyrus meta package for SquirrelMail.

%package	id
Summary:	Indonesian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-id
Requires:	%{name} = %{version}

%description	id
This add-on package provides Indonesian translation for
Squirrelmail.

%package	nl
Summary:	Dutch language files for SquirrelMail
Group:		System/Servers
Requires:	locales-nl
Requires:	%{name} = %{version}

%description	nl
This add-on package provides Dutch translation for
Squirrelmail.

%package	lt
Summary:	Lithuanian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-lt
Requires:	%{name} = %{version}

%description	lt
This add-on package provides Lithuanian translation for
Squirrelmail.

%package	nn_NO
Summary:	Norwegian Nynorsk language files for SquirrelMail
Group:		System/Servers
Requires:	locales-no
Requires:	%{name} = %{version}

%description	nn_NO
This add-on package provides Norwegian Nynorsk translation for
Squirrelmail.

%package	sr
Summary:	Serbian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sr
Requires:	%{name} = %{version}

%description	sr
This add-on package provides Serbian translation for
Squirrelmail.

%package	sv
Summary:	Swedish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sv
Requires:	%{name} = %{version}

%description	sv
This add-on package provides Swedish translation for
Squirrelmail.

%package	ru
Summary:	Russian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ru
Requires:	%{name} = %{version}

%description	ru
This add-on package provides Russian translation for
Squirrelmail.

%package	de
Summary:	German language files for SquirrelMail
Group:		System/Servers
Requires:	locales-de
Requires:	%{name} = %{version}

%description	de
This add-on package provides German translation for
Squirrelmail.

%package	fr
Summary:	French language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fr
Requires:	%{name} = %{version}

%description	fr
This add-on package provides French translation for
Squirrelmail.

%package	hu
Summary:	Hungarian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-hu
Requires:	%{name} = %{version}

%description	hu
This add-on package provides Hungarian translation for
Squirrelmail.

%package	sk
Summary:	Slovak language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sk
Requires:	%{name} = %{version}

%description	sk
This add-on package provides Slovak translation for
Squirrelmail.

%package	bn
Summary:	Bengali language files for SquirrelMail
Group:		System/Servers
Requires:	locales-bn
Requires:	%{name} = %{version}

%description	bn
This add-on package provides Bengali translation for
Squirrelmail.

%package	fo
Summary:	Faroese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fo
Requires:	%{name} = %{version}

%description	fo
This add-on package provides Faroese translation for
Squirrelmail.

%package	it
Summary:	Italian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-it
Requires:	%{name} = %{version}

%description	it
This add-on package provides Italian translation for
Squirrelmail.

%package	tr
Summary:	Turkish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-tr
Requires:	%{name} = %{version}

%description	tr
This add-on package provides Turkish translation for
Squirrelmail.

%package	es
Summary:	Spanish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-es
Requires:	%{name} = %{version}

%description	es
This add-on package provides Spanish translation for
Squirrelmail.

%package	el
Summary:	Greek language files for SquirrelMail
Group:		System/Servers
Requires:	locales-el
Requires:	%{name} = %{version}

%description	el
This add-on package provides Greek translation for
Squirrelmail.

%package	cs
Summary:	Czech language files for SquirrelMail
Group:		System/Servers
Requires:	locales-cs
Requires:	%{name} = %{version}

%description	cs
This add-on package provides Czech translation for
Squirrelmail.

%package	ja
Summary:	Japanese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ja
Requires:	%{name} = %{version}

%description	ja
This add-on package provides Japanese translation for
Squirrelmail.

%package	br
Summary:	Brazilian Portuguese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-br
Requires:	%{name} = %{version}

%description	br
This add-on package provides Brazilian Portuguese translation for
Squirrelmail.

%package	sl
Summary:	Slovenian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-sl
Requires:	%{name} = %{version}

%description	sl
This add-on package provides Slovenian translation for
Squirrelmail.

%package	pl
Summary:	Polish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-pl
Requires:	%{name} = %{version}

%description	pl
This add-on package provides Polish translation for
Squirrelmail.

%package	ms
Summary:	Bahasa Melayu language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ms
Requires:	%{name} = %{version}

%description	ms
This add-on package provides Bahasa Melayu translation for
Squirrelmail.

%package	nb_NO
Summary:	Norwegian Bokmal language files for SquirrelMail
Group:		System/Servers
Requires:	locales-no
Requires:	%{name} = %{version}

%description	nb_NO
This add-on package provides Norwegian Bokmal translation for
Squirrelmail.

%package	is
Summary:	Icelandic language files for SquirrelMail
Group:		System/Servers
Requires:	locales-is
Requires:	%{name} = %{version}

%description	is
This add-on package provides Icelandic translation for
Squirrelmail.

%package	bg
Summary:	Bulgarian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-bg
Requires:	%{name} = %{version}

%description	bg
This add-on package provides Bulgarian translation for
Squirrelmail.

%package	ko
Summary:	Korean language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ko
Requires:	%{name} = %{version}

%description	ko
This add-on package provides Korean translation for
Squirrelmail.

%package	hr
Summary:	Croatian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-hr
Requires:	%{name} = %{version}

%description	hr
This add-on package provides Croatian translation for
Squirrelmail.

%package	da
Summary:	Danish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-da
Requires:	%{name} = %{version}

%description	da
This add-on package provides Danish translation for
Squirrelmail.

%package	ar
Summary:	Arabic language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ar
Requires:	%{name} = %{version}

%description	ar
This add-on package provides Arabic translation for
Squirrelmail.

%package	eu
Summary:	Basque language files for SquirrelMail
Group:		System/Servers
Requires:	locales-eu
Requires:	%{name} = %{version}

%description	eu
This add-on package provides Basque translation for
Squirrelmail.

%package	ug
Summary:	Uighur language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ug
Requires:	%{name} = %{version}

%description	ug
This add-on package provides Uighur translation for
Squirrelmail.

%package	ro
Summary:	Romanian language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ro
Requires:	%{name} = %{version}

%description	ro
This add-on package provides Romanian translation for
Squirrelmail.

%package	fa
Summary:	Farsi language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fa
Requires:	%{name} = %{version}

%description	fa
This add-on package provides Farsi translation for
Squirrelmail.

%package	ca
Summary:	Catalan language files for SquirrelMail
Group:		System/Servers
Requires:	locales-ca
Requires:	%{name} = %{version}

%description	ca
This add-on package provides Catalan translation for
Squirrelmail.

%package	cy
Summary:	Welsh language files for SquirrelMail
Group:		System/Servers
Requires:	locales-cy
Requires:	%{name} = %{version}

%description	cy
This add-on package provides Welsh translation for
Squirrelmail.

%package	zh_CN
Summary:	Chinese Simplified language files for SquirrelMail
Group:		System/Servers
Requires:	locales-zh
Requires:	%{name} = %{version}

%description	zh_CN
This add-on package provides Chinese Simplified translation for
Squirrelmail.

%package	fi
Summary:	Finnish language files for SquirrelMail
Group:		System/Servers
Requires:	locales-fi
Requires:	%{name} = %{version}

%description	fi
This add-on package provides Finnish translation for
Squirrelmail.

%package	zh_TW
Summary:	Chinese Traditional language files for SquirrelMail
Group:		System/Servers
Requires:	locales-zh
Requires:	%{name} = %{version}

%description	zh_TW
This add-on package provides Chinese Traditional translation for
Squirrelmail.

%package	he
Summary:	Hebrew language files for SquirrelMail
Group:		System/Servers
Requires:	locales-he
Requires:	%{name} = %{version}

%description	he
This add-on package provides Hebrew translation for
Squirrelmail.

#%package	et
#Summary:	Estonian language files for SquirrelMail
#Group:		System/Servers
#Requires:	locales-et
#Requires:	%{name} = %{version}

#%description	et
#This add-on package provides Estonian translation for
#Squirrelmail.

%package	pt
Summary:	Portuguese language files for SquirrelMail
Group:		System/Servers
Requires:	locales-pt
Requires:	%{name} = %{version}

%description	pt
This add-on package provides Portuguese translation for
Squirrelmail.

%package	en
Summary:	British language files for SquirrelMail
Group:		System/Servers
Requires:	locales-en
Requires:	%{name} = %{version}

%description	en
This add-on package provides British translation for
Squirrelmail.


%prep

%setup -q -a1
%patch0 -p1

%patch7 -p1
%patch8 -p1
%patch12 -p1
%patch14 -p1
%patch17 -p0
rm -f plugins/make_archive.pl

if [ -d plugins/address_add ]; then
echo "address_add plugin already present"
else
pushd plugins
tar -xjvf %{SOURCE3}
# Do not use chmod -R 644, otherwise you can't chdir to the
# directory anymore
chmod 644 address_add/*.php address_add/classes/*.php address_add/README
popd
fi

if [ -d plugins/block_sender ]; then
echo "block_sender plugin already present"
else
pushd plugins
tar -xjvf %{SOURCE4}
chmod 755 block_sender
find block_sender -type f -print | xargs chmod 644
perl -pi -e 's|data_dir \. \$username|data_dir ."/". \$username|;' \
	block_sender/*.php
popd
fi

if [ -d plugins/login_image ]; then
echo "login_image plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE5}; chmod 0644 login_image/*.php; popd
fi
%patch5 -p0

if [ -d plugins/secure_login ]; then
echo "secure_login plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE6}; popd
fi
pushd plugins/secure_login; cp -f config.php.sample config.php; popd
%patch6 -p0

if [ -d plugins/compatibility ]; then
echo "compatibility plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE7}; popd
fi

if [ -d plugins/change_pass ]; then
echo "change_pass plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE8}; popd
rm -rf change_pass/courierpassd-*
rm -f change_pass/xm
fi

if [ -d plugins/quota_usage ]; then
echo "quota_usage plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE9}; popd
fi
pushd plugins/quota_usage
cp -f config.php.sample config.php
rm -f screen.jpg
popd

if [ -d plugins/change_ldappass ]; then
echo "change_ldappass plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE10}; popd
fi
pushd plugins/change_ldappass
%patch10 -p0
cp -f config.php.sample config.php
popd

if [ -d plugins/avelsieve ]; then
echo "avelsieve plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE11}; popd
fi
pushd plugins/avelsieve
%patch11 -p0
cp -f config_sample.php config.php
rm -rf po
popd

if [ -d plugins/windows ]; then
echo "windows plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE12}; popd
fi
pushd plugins/windows
rm -f *.diff
popd

if [ -d plugins/folder_sizes ]; then
echo "folder_sizes plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE13}; popd
fi

if [ -d plugins/archive_mail ]; then
echo "archive_mail plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE14}; popd
fi

if [ -d plugins/empty_folders ]; then
echo "empty_folders plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE15}; popd
fi
pushd plugins/empty_folders
cp -f config.php.sample config.php
popd

if [ -d plugins/abook_import_export ]; then
echo "abook_import_export plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE16}; popd
fi

if [ -d plugins/ldifimport ]; then
echo "ldifimport plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE17}; popd
fi

if [ -d plugins/username ]; then
echo "username plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE18}; popd
fi
pushd plugins/username
cp -f config.php.sample config.php
popd

if [ -d plugins/bookmarks ]; then
echo "bookmarks plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE19}; popd
fi
pushd plugins/bookmarks
cp -f bookmarks_data_text.php bookmarks_data.php
chmod 644 *
popd

if [ -d plugins/select_range ]; then
echo "select_range plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE20}; popd
fi
pushd plugins/select_range
cp -p config.php.sample config.php
rm -rf patch
popd

if [ -d plugins/rewrap ]; then
echo "rewrap plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE21}; popd
fi

if [ -d plugins/spam_buttons ]; then
echo "spam_buttons plugin already present"
else
pushd plugins; tar -xjvf %{SOURCE22}; popd
fi
pushd plugins/spam_buttons
cp -p config.php.sample config.php
popd

if [ -d plugins/spamassassin ]; then
echo "spamassassin plugin already present"
else
pushd plugins
    tar -jxvf %{SOURCE23}
    mv SquirrelSAP*/spamassassin .
    mv SquirrelSAP*/ReadMe_SquirrelSAP spamassassin/
    rm -rf SquirrelSAP*
popd
fi

# Don't enable SPAM RBL by default
pushd plugins/filters
%patch13 -p0
popd

# Rearrange the documentation
mv AUTHORS ChangeLog COPYING INSTALL README UPGRADE doc/
mv ReleaseNotes doc/ReleaseNotes.txt
mv themes/README.themes doc/
for f in `find plugins -name "README*" -or -name INSTALL \
		   -or -name CHANGES -or -name HISTORY`; do
    mkdir -p doc/`dirname $f`
    mv $f $_
done
mv doc/plugins/squirrelspell/doc/README doc/plugins/squirrelspell
rmdir doc/plugins/squirrelspell/doc
mv plugins/squirrelspell/doc/* doc/plugins/squirrelspell
rm -f doc/plugins/squirrelspell/index.php
rmdir plugins/squirrelspell/doc
mv doc/index.html doc/index2.html

cat << EOF > doc/index.html
Your squirrelmail package is installed in <a href=/squirrelmail/>%{_var}/www/html/squirrelmail</a>, and is aliased to <a href=/webmail>/webmail</a>.
<p>
<a href=index2.html>Read documentation</a>
EOF

# Fixup various files
echo "left_refresh=300" >> data/default_pref
%patch1 -p0 -b .oldconf
for f in contrib/RPM/squirrelmail.cron contrib/RPM/config.php.redhat; do
    perl -pi -e "s|__ATTDIR__|%{attdir}|g;"\
             -e "s|__PREFSDIR__|%{prefsdir}|g;" $f
done

cp %{SOURCE2} doc/RPM.readme

# strip away annoying ^M
find -type f | grep -v "\.gif" | grep -v "\.png" | grep -v "\.jpg" | xargs dos2unix -U

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d -m0755 %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d -m0755 %{buildroot}%{etcdir}
install -d -m0755 %{buildroot}%{prefsdir}
install -d -m0755 %{buildroot}%{attdir}
install -d -m0755 %{buildroot}%{basedir}
install -d -m0755 %{buildroot}%{crondir}

# install default_pref
install -m 0644 data/default_pref %{buildroot}%{prefsdir}

# install the config files
install -d -m0755 %{buildroot}%{basedir}/config
install -m 0644 config/*.php %{buildroot}%{basedir}/config/
install -m 0644 contrib/RPM/config.php.redhat %{buildroot}%{etcdir}/config.php
# symlink
ln -s %{etcdir}/config.php %{buildroot}%{basedir}/config/config.php
install -m 0755 config/*.pl %{buildroot}%{basedir}/config/

# install index.php
install -m 0644 index.php %{buildroot}%{basedir}/

# install classes
pwd
install -d -m0755 %{buildroot}%{basedir}/class
cp -pr class %{buildroot}%{basedir}

# install include
install -d -m0755 %{buildroot}%{basedir}/include
cp -pr include %{buildroot}%{basedir}

# install functions
install -d -m0755 %{buildroot}%{basedir}/functions/decode
install -d -m0755 %{buildroot}%{basedir}/functions/encode
install -m 0644 functions/*.php %{buildroot}%{basedir}/functions/
install -m 0644 functions/decode/*.php %{buildroot}%{basedir}/functions/decode
install -m 0644 functions/encode/*.php %{buildroot}%{basedir}/functions/encode

# install src
install -d -m0755 %{buildroot}%{basedir}/src
install -m 0644 src/* %{buildroot}%{basedir}/src/

# install themes
install -d -m0755 %{buildroot}%{basedir}/themes
install -m 0644 themes/*.php %{buildroot}%{basedir}/themes/
install -d -m0755 %{buildroot}%{basedir}/themes/css
install -m 0644 themes/css/*.css %{buildroot}%{basedir}/themes/css/

# install images
install -d -m0755 %{buildroot}%{basedir}/images
install -m 0644 images/* %{buildroot}%{basedir}/images/

# install the plugins
cp -rp plugins %{buildroot}%{basedir}

# install the locales.
cp -rp locale %{buildroot}%{basedir}

# install help files
cp -rp help %{buildroot}%{basedir}

# po will go into the poutils package, so just copy it
cp -rp po %{buildroot}%{basedir}

# install the cron script
install -m 0755 contrib/RPM/squirrelmail.cron %{buildroot}/%{crondir}

cat <<EOF > %{mod_conf}
<IfModule mod_alias.c>
Alias /webmail %{basedir}
</IfModule>
<Directory %{basedir}>
    <IfModule mod_php5.c>
	php_admin_value session.bug_compat_42 0
# Otherwise can't send mails
	php_admin_value safe_mode 0
# Misc
	php_flag register_globals	off
# Other increased PHP parameters
	php_admin_value memory_limit    64M
	php_admin_value post_max_size   17M
	php_admin_value upload_max_filesize 16M
	php_admin_value max_execution_time 120
    </IfModule>
## To force https connection
#    <IfModule mod_ssl.c>
#	SSLRequireSSL
#	SSLRequire %{SSL_CIPHER_USEKEYSIZE} >= 128
#    </IfModule>
</Directory>
EOF

install -m0644 %{mod_conf} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

# hardened-php fix
find %{buildroot} -type f | xargs perl -pi -e "s|SM_PATH \. \'config/config\.php\'|\'%{etcdir}/config\.php\'|g"
find %{buildroot} -type f | xargs perl -pi -e "s|SM_PATH \. \"config/config\.php\"|\'%{etcdir}/config\.php\'|g"
find %{buildroot} -type f | xargs perl -pi -e "s|\.\./config/config\.php|%{etcdir}/config\.php|g"

# Move plugin config files
PluginConfigs="./avelsieve/config.php
./change_ldappass/config.php
./empty_folders/config.php
./folder_sizes/folder_sizes_config.php
./ldifimport/config.php
./quota_usage/config.php
./secure_login/config.php
./squirrelspell/sqspell_config.php
./username/config.php
./select_range/config.php
./spam_buttons/config.php
./spamassassin/config.php"

mkdir -p $RPM_BUILD_ROOT%{pluginetc}
# Avelsieve
mv %{buildroot}%{basedir}/plugins/avelsieve/config.php $RPM_BUILD_ROOT%{pluginetc}/avelsieve_config.php
ln -s %{pluginetc}/avelsieve_config.php $RPM_BUILD_ROOT%{basedir}/plugins/avelsieve/config.php
# Change_ldappass
mv %{buildroot}%{basedir}/plugins/change_ldappass/config.php $RPM_BUILD_ROOT%{pluginetc}/change_ldappass_config.php
ln -s %{pluginetc}/change_ldappass_config.php %{buildroot}%{basedir}/plugins/change_ldappass/config.php
# Empty folders
mv %{buildroot}%{basedir}/plugins/empty_folders/config.php $RPM_BUILD_ROOT%{pluginetc}/empty_folders_config.php
ln -s %{pluginetc}/empty_folders_config.php %{buildroot}%{basedir}/plugins/empty_folders/config.php
# Folder_sizes
mv %{buildroot}%{basedir}/plugins/folder_sizes/folder_sizes_config.php $RPM_BUILD_ROOT%{pluginetc}/folder_sizes_config.php
ln -s %{pluginetc}/folder_sizes_config.php %{buildroot}%{basedir}/plugins/folder_sizes/folder_sizes_config.php
# Ldifimport
mv %{buildroot}%{basedir}/plugins/ldifimport/config.php $RPM_BUILD_ROOT%{pluginetc}/ldifimport_config.php
ln -s %{pluginetc}/ldifimport_config.php %{buildroot}%{basedir}/plugins/ldifimport/config.php
# Quota_usage
mv %{buildroot}%{basedir}/plugins/quota_usage/config.php $RPM_BUILD_ROOT%{pluginetc}/quota_usage_config.php
ln -s %{pluginetc}/quota_usage_config.php %{buildroot}%{basedir}/plugins/quota_usage/config.php
# Secure_login
mv %{buildroot}%{basedir}/plugins/secure_login/config.php $RPM_BUILD_ROOT%{pluginetc}/secure_login_config.php
ln -s %{pluginetc}/secure_login_config.php %{buildroot}%{basedir}/plugins/secure_login/config.php
# Squirrelspell
mv %{buildroot}%{basedir}/plugins/squirrelspell/sqspell_config.php $RPM_BUILD_ROOT%{pluginetc}/sqspell_config.php
ln -s %{pluginetc}/sqspell_config.php %{buildroot}%{basedir}/plugins/squirrelspell/sqspell_config.php
# Username
mv %{buildroot}%{basedir}/plugins/username/config.php $RPM_BUILD_ROOT%{pluginetc}/username_config.php
ln -s %{pluginetc}/username_config.php %{buildroot}%{basedir}/plugins/username/config.php
# Select_range
mv %{buildroot}%{basedir}/plugins/select_range/config.php $RPM_BUILD_ROOT%{pluginetc}/select_range_config.php
ln -s %{pluginetc}/select_range_config.php %{buildroot}%{basedir}/plugins/select_range/config.php
# Spam_buttons
mv %{buildroot}%{basedir}/plugins/spam_buttons/config.php $RPM_BUILD_ROOT%{pluginetc}/spam_buttons_config.php
ln -s %{pluginetc}/spam_buttons_config.php %{buildroot}%{basedir}/plugins/spam_buttons/config.php
# SA
mv %{buildroot}%{basedir}/plugins/spamassassin/config.php $RPM_BUILD_ROOT%{pluginetc}/spamassassin_config.php
ln -s %{pluginetc}/spamassassin_config.php %{buildroot}%{basedir}/plugins/spamassassin/config.php

# Move %{basedir}/plugins/address_add/ to %{buildroot}%{basedir}/po
mv $RPM_BUILD_ROOT%{basedir}/plugins/address_add/locale/ %{buildroot}%{basedir}/po/address_add

mkdir -p $RPM_BUILD_ROOT%{_sbindir}/
# UGLY fix to make conf.pl use absolute paths
sed -e "s#config.php#/etc/squirrelmail/config.php#" %{buildroot}%{basedir}/config/conf.pl|sed -e s,'config\/','',g > $RPM_BUILD_ROOT%{_sbindir}/squirrelmail-conf.pl
rm -f %{buildroot}%{basedir}/config/conf.pl
ln -s %{_sbindir}/squirrelmail-conf.pl %{buildroot}%{basedir}/config/conf.pl
chmod +x $RPM_BUILD_ROOT%{_sbindir}/squirrelmail-conf.pl

%post
# Put correct hostname in config. We do this every time, since we change the
# .rpmnew as well. This is safe even if someone already modified the config,
# because the script will not find __HOSTNAME__ in the file and will do
# nothing.
for f in %{etcdir}/config.php %{etcdir}/config.php.rpmnew \
	%{basedir}/plugins/avelsieve/config.php \
	%{basedir}/plugins/avelsieve/addrule_html.php; do
    FIXME "s|__HOSTNAME__|$HOSTNAME|g" $f 2>/dev/null
done

if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{mod_conf}
%config %dir %{etcdir}
%config %dir %{pluginetc}
%config(noreplace) %{pluginetc}/*
%config(noreplace) %{etcdir}/config.php
%doc doc/*
%dir %{basedir}
%dir %{varlibdir}
%dir %{varspooldir}
%{basedir}/class
%{basedir}/config
%{basedir}/functions
%{basedir}/help/en_US
%{basedir}/help/index.php
%{basedir}/locale/timezones.cfg
%{basedir}/locale/index.php
%{basedir}/locale/README.locales
%{basedir}/images/blank.png
%{basedir}/images/delitem.png
%{basedir}/images/down_pointer.png
%{basedir}/images/draft.png
%{basedir}/images/folder.png
%{basedir}/images/inbox.png
%{basedir}/images/index.php
%{basedir}/images/minus.png
%{basedir}/images/plus.png
%{basedir}/images/sec_remove_eng.png
%{basedir}/images/senti.png
%{basedir}/images/sm_logo.png
%{basedir}/images/sort_none.png
%{basedir}/images/up_pointer.png
%{basedir}/include
%{basedir}/plugins
%{pluginetc}/*
%{basedir}/src
%{basedir}/themes
%{basedir}/index.php
%{_sbindir}/squirrelmail-conf.pl
%attr(0770,root,apache) %dir %{prefsdir}
%attr(0730,root,apache) %dir %{attdir}
%{prefsdir}/default_pref
%{crondir}/squirrelmail.cron
%{_var}/www/html/addon-modules/%{name}-%{version}

%files poutils
%defattr(-,root,root)
%{basedir}/po

%files cyrus
%defattr(-,root,root)

%files id
%defattr(-,root,root)
%{basedir}/locale/id_ID
%{basedir}/images/sec_remove_id_ID.png
%{basedir}/help/id_ID

%files nl
%defattr(-,root,root)
%{basedir}/locale/nl_NL
%{basedir}/images/sec_remove_nl_NL.png
%{basedir}/help/nl_NL

%files lt
%defattr(-,root,root)
%{basedir}/locale/lt_LT
%{basedir}/images/sec_remove_lt_LT.png
%{basedir}/help/lt_LT

%files nn_NO
%defattr(-,root,root)
%{basedir}/locale/nn_NO
%{basedir}/images/sec_remove_nn_NO.png
#%{basedir}/help/nn_NO

%files sr
%defattr(-,root,root)
%{basedir}/locale/sr_YU
%{basedir}/images/sec_remove_sr_YU.png
%{basedir}/help/sr_YU

%files sv
%defattr(-,root,root)
%{basedir}/locale/sv_SE
%{basedir}/images/sec_remove_sv_SE.png
%{basedir}/help/sv_SE

%files ru
%defattr(-,root,root)
%{basedir}/locale/ru_RU
%{basedir}/images/sec_remove_ru_RU.png
%{basedir}/help/ru_RU

%files de
%defattr(-,root,root)
%{basedir}/locale/de_DE
%{basedir}/images/sec_remove_de_DE.png
%{basedir}/help/de_DE

%files fr
%defattr(-,root,root)
%{basedir}/locale/fr_FR
%{basedir}/images/sec_remove_fr_FR.png
%{basedir}/help/fr_FR

%files hu
%defattr(-,root,root)
%{basedir}/locale/hu_HU
%{basedir}/images/sec_remove_hu_HU.png
#%{basedir}/help/hu_HU

%files sk
%defattr(-,root,root)
%{basedir}/locale/sk_SK
%{basedir}/images/sec_remove_sk_SK.png
%{basedir}/help/sk_SK

%files bn
%defattr(-,root,root)
%{basedir}/locale/bn_IN
%{basedir}/images/sec_remove_bn_IN.png
#%{basedir}/help/bn_IN

%files fo
%defattr(-,root,root)
%{basedir}/locale/fo_FO
%{basedir}/images/sec_remove_fo_FO.png
#%{basedir}/help/fo_FO

%files it
%defattr(-,root,root)
%{basedir}/locale/it_IT
%{basedir}/images/sec_remove_it_IT.png
%{basedir}/help/it_IT

%files tr
%defattr(-,root,root)
%{basedir}/locale/tr_TR
%{basedir}/images/sec_remove_tr_TR.png
#%{basedir}/help/tr_TR

%files es
%defattr(-,root,root)
%{basedir}/locale/es_ES
%{basedir}/images/sec_remove_es_ES.png
%{basedir}/help/es_ES

%files el
%defattr(-,root,root)
%{basedir}/locale/el_GR
%{basedir}/images/sec_remove_el_GR.png
#%{basedir}/help/el_GR

%files cs
%defattr(-,root,root)
%{basedir}/locale/cs_CZ
#%{basedir}/images/sec_remove_cs_CZ.png
%{basedir}/help/cs_CZ

%files ja
%defattr(-,root,root)
%{basedir}/locale/ja_JP
%{basedir}/images/sec_remove_ja_JP.png
%{basedir}/help/ja_JP

%files br
%defattr(-,root,root)
%{basedir}/locale/pt_BR
%{basedir}/images/sec_remove_pt_BR.png
%{basedir}/help/pt_BR

%files sl
%defattr(-,root,root)
%{basedir}/locale/sl_SI
%{basedir}/images/sec_remove_sl_SI.png
%{basedir}/help/sl_SI

%files pl
%defattr(-,root,root)
%{basedir}/locale/pl_PL
#%{basedir}/images/sec_remove_pl_PL.png
%{basedir}/help/pl_PL

%files ms
%defattr(-,root,root)
%{basedir}/locale/ms_MY
#%{basedir}/images/sec_remove_ms_MY.png
#%{basedir}/help/ms_MY

%files nb_NO
%defattr(-,root,root)
%{basedir}/locale/nb_NO
%{basedir}/images/sec_remove_nb_NO.png
#%{basedir}/help/nb_NO

%files is
%defattr(-,root,root)
%{basedir}/locale/is_IS
#%{basedir}/images/sec_remove_is_IS.png
#%{basedir}/help/is_IS

%files bg
%defattr(-,root,root)
%{basedir}/locale/bg_BG
#%{basedir}/images/sec_remove_bg_BG.png
%{basedir}/help/bg_BG

%files ko
%defattr(-,root,root)
%{basedir}/locale/ko_KR
%{basedir}/images/sec_remove_ko_KR.png
%{basedir}/help/ko_KR

%files hr
%defattr(-,root,root)
%{basedir}/locale/hr_HR
%{basedir}/images/sec_remove_hr_HR.png
#%{basedir}/help/hr_HR

%files da
%defattr(-,root,root)
%{basedir}/locale/da_DK
%{basedir}/images/sec_remove_da_DK.png
%{basedir}/help/da_DK

%files ar
%defattr(-,root,root)
%{basedir}/locale/ar
#%{basedir}/images/sec_remove_ar.png
#%{basedir}/help/ar

%files eu
%defattr(-,root,root)
%{basedir}/locale/eu_ES
#%{basedir}/images/sec_remove_eu_ES.png
#%{basedir}/help/eu_ES

%files ug
%defattr(-,root,root)
%{basedir}/locale/ug
%{basedir}/images/sec_remove_ug.png
#%{basedir}/help/ug

%files ro
%defattr(-,root,root)
%{basedir}/locale/ro_RO
#%{basedir}/images/sec_remove_ro_RO.png
#%{basedir}/help/ro_RO

%files fa
%defattr(-,root,root)
%{basedir}/locale/fa_IR
#%{basedir}/images/sec_remove_fa_IR.png
#%{basedir}/help/fa_IR

%files ca
%defattr(-,root,root)
%{basedir}/locale/ca_ES
#%{basedir}/images/sec_remove_ca_ES.png
%{basedir}/help/ca_ES

%files cy
%defattr(-,root,root)
%{basedir}/locale/cy_GB
#%{basedir}/images/sec_remove_cy_GB.png
%{basedir}/help/cy_GB

%files zh_CN
%defattr(-,root,root)
%{basedir}/locale/zh_CN
#%{basedir}/images/sec_remove_zh_CN.png
%{basedir}/help/zh_CN

%files fi
%defattr(-,root,root)
%{basedir}/locale/fi_FI
#%{basedir}/images/sec_remove_fi_FI.png
%{basedir}/help/fi_FI

%files zh_TW
%defattr(-,root,root)
%{basedir}/locale/zh_TW
#%{basedir}/images/sec_remove_zh_TW.png
#%{basedir}/help/zh_TW

%files he
%defattr(-,root,root)
%{basedir}/locale/he_IL
#%{basedir}/images/sec_remove_he_IL.png
#%{basedir}/help/he_IL

#%files et
#%defattr(-,root,root)
#%{basedir}/locale/et_EE
#%{basedir}/images/sec_remove_et_EE.png
#%{basedir}/help/et_EE

%files pt
%defattr(-,root,root)
%{basedir}/locale/pt_PT
%{basedir}/images/sec_remove_pt_PT.png
%{basedir}/help/pt_PT

%files en
%defattr(-,root,root)
%{basedir}/locale/en_GB
#%{basedir}/images/sec_remove_en_GB.png
%{basedir}/help/en_GB

%changelog
* Wed Sep 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.5-2mdk
- added fixes from CVS (P0)
- let the new php auto deps do its job
- abook_import_export-0.9
- select_range-3.5
- list also the spamassassin config file as %%config

* Thu Jul 14 2005 Eskild Hustvedt <eskild@mandriva.org> 1.4.5-1mdk
- New version 1.4.5
- Drop require on MailTransportAgent (now requires sendmail-command)
- Drop Estonian translation (dropped upstream due to too many untranslated strings)
- Drop Patch15 (unapplied anyway)
- Drop Patch16 (generic fix merged upstream)
- Drop Patch18 (merged upstream)
- Marked plugin config files as config(noreplace) and moved to /etc/ (fixes bug #16832)
- Fixed bug #16833

* Sun Jul 10 2005 Eskild Hustvedt <eskild@mandriva.org> 1.4.4-9mdk
- Patch18: XSS security fix

* Tue Jun 07 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-8mdk
- fix deps
- fix conformance with latest apache-conf
- drop apache v1.x spec file magic

* Sun May 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4.4-7mdk
- don't trash images

* Sun May 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-6mdk
- added the spamassassin plugin (S23)
- use dos2unix to strip away ^M instead

* Mon Mar 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-5mdk
- added the spam_buttons-1.0 plugin (S22)
- use the %%mkrel macro

* Fri Feb 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-4mdk
- spec file cleanups, remove the ADVX-build stuff
- strip away annoying ^M

* Wed Feb 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-3mdk
- added missing functions/encode directory, spotted by Gerald Drouillard

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-2mdk
- added language sub packages, not all are complete

* Sun Jan 30 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.4-1mdk
- drop P2, included upstream
- rediffed P8,P17
- disable P15 as it won't apply

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-14mdk
- added one hardened-php fix

* Thu Jan 06 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-13mdk
- avelsieve-1.0.1

* Tue Jan 04 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-12mdk
- speed up the build
- added a meta package per request by Giuseppe Ghib 

* Thu Dec 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-11mdk
- added a security fix (P2)
- compatibility-1.3 (S7)
- quota_usage-1.3-1.2.7 (S9)
- drop P9, another fix is in there
- avelsieve-1.0.0 (S11)

* Tue Oct 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-10mdk
- use the correct webapps directory (duh!)

* Wed Jul 28 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.3a-9mdk
- Updated change_pass plugin to 2.7-1.4.x.
- Updated archive_mail plugin to 1.2-1.4.2.
- Updated Patch17 so to log also IP for login failures.
- Updated Patch11 (avelsieve), removed sms notify method.

* Wed Jul 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-8mdk
- don't log clear text passwords (Giuseppe Ghib)
- use the new webapps directory for the apache config
- remove redundant provides
- fix rpmlint errors
- misc spec file fixes

* Mon Jul 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3a-7mdk
- added P17 (send failed login attempts to syslog; Michael Bowe)

* Sat Jul 10 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.3a-6mdk
- Updated select_range to version 2.8.2.
- UI locales are now handled correctly (Patch16).
- Force register_globals off in squirrelmail apache config file.

* Thu Jun 17 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.3a-5mdk
- Added Patch15 to create the folder in Trash (during folder deleting)
  with correct name.

* Mon Jun 14 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.3a-4mdk
- Updated change_ldappass to 1.7  (supports SSHA passwords).

* Mon Jun 07 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.3a-3mdk
- Updated avelsieve plugin to 0.9.11.

* Sat Jun 05 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.3a-2mdk
- Updated select_range plugin to 2.8.1.
- Added rewrap plugin.

* Thu Jun 03 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.3a-1mdk
- Release 1.4.3a.
- Rebuilt Patch8.

* Sat May 01 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-12mdk
- Increased PHP timeout time.
- Increased PHP memory limit and max upload size..
- Updated plugins abook_import_export, archive_mail, empty_folders,
  ldifimport
- Updated Select_range plugin to 2.8.
- Updated avelsieve plugin to 0.9.10.

* Thu Feb 19 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-11mdk
- Removed "[None]" in addrule_html.php because printed outside
  the select form.
- Added some cosmetic fix to addrule_html.php and table_html.php.

* Tue Feb 03 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-10mdk
- Added username and bookmarks plugins.
- Removed 'Return-Path' from avelsieve config.php.

* Fri Jan 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-9mdk
- Patch for using aspell.

* Thu Jan 28 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-8mdk
- Updated avelsieve to release 0.9.9.
- Rebuilt Patch11.
- Added abook_import_export plugin.
- Added ldifimport plugin.

* Fri Jan 23 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-7mdk
- Added some typical flag to avelsieve filter list.
- Removed libsasl2-plug-plain|login from Requires
  (should be in cyrus-imapd).

* Wed Jan 21 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-6mdk
- Don't enable block_sender plugin by default.
- Don't enable SPAM RBL by default.

* Wed Jan 21 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-5mdk
- Added avelsieve plugin (and libsasl2-plug-{plain,login} to Requires).
- Added windows plugin.
- Added folder_sizes plugin.
- Added archive_mail plugin.
- Added empty_trash plugin.
- Updated address_add plugin from 1.9 to 2.0.
- Rebuilt Patch1 (config.php).

* Thu Jan 15 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.2-4mdk
- Updated change_pass plugin to 2.6-1.4.x.
- Removed unused Patch9 (thread.patch).
- Added quota_usage plugin.
- Rebuilt Patch1 (config.php).
- Added Patch9 (quota_usage) to show Mebibytes.
- Added change_ldappass plugin.
- Added Patch10 (ldappass) to get change_ldappass plugin working with current PHP and openldap.

* Thu Dec 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4.2-3mdk
- Bug #6066: fixed safe_mode setting to 0 rather than Off

* Wed Dec 17 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4.2-2mdk
- change Requires from aspell to ispell (Eric Sauvageau)

* Tue Oct 21 2003 Stefan van der Eijk <stefan@eijk.nu> 1.4.2-1mdk
- 1.4.2

* Sun Jul 27 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-2mdk
- Added Patch9 (to avoid Error: "Bad or malformed request.*, Query:
  FETCH..."). Reported by Stefan Van der Eijk.
- Removed Patch0 (unused).

* Sat Jul 26 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1.
- Removed Patch0.
- Added Patch8 from select_range plugin.
- added "session.bug_compat_42 Off" to php config.
- added "safe_mode Off" to php config, otherwise can't send mails.
- change $default_folder_prefix from "mail/" to "", as it's already set
  in this way in the latest uw-imap-2002d rpm.
- Added change_pass plugin to change password (Requires: poppassd-ceti).

* Thu Mar 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-7mdk
- update to address_add.1.9
- do not use trailing slash, but patch the plugins instead

* Wed Mar 12 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-6mdk
- add requires: aspell
- fix some permissions and added a trailing slash to prefsdir, otherwise
  the block_sender plugin would not work.
- copy block_sender/*.php.flat to *.php, since there are two sets of files,
  one for flat file support (stable) and mysql support (experimental)

* Sat Mar  8 2003 David Walser <luigiwalser@yahoo.com> 1.2.11-5mdk
- Update block_sender and secure_login plugins
- Add compatibility plugin (needed for secure_login)
- Regenerate Patch 6

* Sat Mar  8 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-4mdk
- backtrack a few changes to maintain compatibility with previous apache
  versions, as David Walser <luigiwalser@yahoo.com> requested.

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2.11-3mdk
- fix %{prefdir} permission to (770,root,apache), so it works with php in
  safe_mode (Stefan van der Eijk, this should fix your problem)
- fix requires (no web packages should require php, only mod_php, otherwise
  urpmi might try to install php-cli)
- add %%_pre_useradd apache 
- use ADVX macros
- fix post scripts for both apache versions
- fix the hostname only on install, otherwise, people who masquerade their
  mail as another domain (and thus don't use hostname) 
  will have their webmail broken at upgrade.

* Tue Feb 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.11-2mdk
- from David Walser <luigiwalser@yahoo.com> :
	- Update address_add plugin

* Sat Feb 15 2003 David Walser <luigiwalser@yahoo.com> 1.2.11-1mdk
- 1.2.11
- Add patch0 to add slash after data_dir (accepted upstream in 1.4.0)
- Update address_add plugin
- Fix permissions on address_add plugin

* Tue Jan 28 2003  Lenny Cartier <lenny@mandrakesoft.com> 1.2.10-4mdk
- remove useless patch ( thx David Walser )

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.2.10-3mdk
- patch2 from Tzafrir Cohen <tzafrir@technion.ac.il>
        Fix file name wrongly concatinated.

* Mon Jan 13 2003 Stefan van der Eijk <stefan@eijk.nu> 1.2.10-2mdk
- uploaded for David Walser
- Thu Dec 05 2002 David Walser <luigiwalser@yahoo.com> 1.2.10-2mdk
- Update plugins
- Patch 6 for secure_login to stay in SSL mode after login
- Fix prefsdir

* Tue Dec 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.10-1mdk
- 1.2.10

* Sun Dec 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.9-1mdk
- 1.2.9

* Mon Sep 16 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.8-1mdk
- from David Walser <luigiwalser@yahoo.com> 
	- more merging with Konstantin Riabitsev
	- update address_add and block_sender plugins
	- 1.2.8

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 1.2.7-5mdk
- requires on MailTransportAgent instead of smtpdaemon. i sux.

* Fri Jun 28 2002 Yves Duret <yduret@mandrakesoft.com> 1.2.7-4mdk
- fix requires on smtpdaemon instead /usr/sbin/sendmail (alternatives).

* Wed Jun 26 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-3mdk
- from David Walser <luigiwalser@yahoo.com> :
	- incorporate some changes from Konstantin Riabitsev
	- replace abook_take with address_add

* Tue Jun 25 2002 David Walser <luigiwalser@yahoo.com> 1.2.7-3mdk
- incorporate some changes from Konstantin Riabitsev
- replace abook_take with address_add

* Tue Jun 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-2mdk
- from David Walser <luigiwalser@yahoo.com> :
        - add plugins: abook_take block_sender login_image secure_login
        - enable plugins: filter delete_move_next abook_take block_sender

* Sun Jun 23 2002 David Walser <luigiwalser@yahoo.com> 1.2.7-1mdk
- fix typo in squirrelmail-RPM.readme
- move more stuff into doc/
- 1.2.7

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.6-1mdk
- minor changes on Konstantin Riabitsev specfile.

* Thu Jan 24 2002 Konstantin Riabitsev <icon@duke.edu>
- Fix for the horrible remote execution bug in squirrelspell.
  (/me shuts his ears in the door. Bad Dobby!)
- Check whether we need to edit the config.php file before actually
  sed'ing it.
- Release for 1.2.4.

* Wed Jan 23 2002 Konstantin Riabitsev <icon@duke.edu>
- Setting 0755 permissions on the created directories so people
  running the --rebuild with umask 007 don't get a broken install.
- cp'ing the RPM.readme file instead of moving it.
- cp -rp'ing some dirs instead of mv'ing them
- minor bugfixes to %files section.
- organizing docs for the spamcop plugin now as well
- fixes in the default config -- trailing slashes added to the prefsdir
  and attach_dir (squirrelmail's bug, really).

* Mon Jan 21 2002 Konstantin Riabitsev <icon@duke.edu>
- Package for Squirrelmail-1.2.3.
- Accommodation for the themes/css directory.
- Added RPM.readme and a warning message for upgraders
  (I know, I hate myself, too. ;))

* Wed Jan 02 2002 Konstantin Riabitsev <icon@duke.edu>
- Updated paths as per the list discussion. If you are upgrading, please
  move the existing preferences from /var/squirrelmail/prefs to
  /var/lib/squirrelmail/prefs
- A cleanup cron script. Runs daily and cleans up any old temp attachments
  files in the attachment dir (10 days or older).

* Tue Jan 01 2002 Konstantin Riabitsev <icon@duke.edu>
- Package for the 1.2.2 release.

* Fri Dec 28 2001 Konstantin Riabitsev <icon@duke.edu>
- Changed Requires: sendmail to Requires: /usr/sbin/sendmail so people
  with Postfix can install it as well.
- Changed the chowning of the /var/squirrelmail/* to doing it the right
  way, with %attr's.

* Tue Dec 25 2001 Konstantin Riabitsev <icon@duke.edu>
- First spec file build for RH7.
- Locale patches.
- Fixed russian po/mo files (still screws up on occasion! php/gettext is
  so broken!).
- Default config for RH7 systems.
